Debian Bug report logs - #593018
libsysactivity: FTBFS: tests failed

version graph

Package: src:libsysactivity; Maintainer for src:libsysactivity is Niels Thykier <niels@thykier.net>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 15 Aug 2010 08:00:05 UTC

Severity: serious

Tags: patch, sid, squeeze

Found in versions libsysactivity/0.5.4-2, libsysactivity/0.5.4-3

Fixed in version libsysactivity/0.5.4-4

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Niels Thykier <niels@thykier.net>:
Bug#593018; Package src:libsysactivity. (Sun, 15 Aug 2010 08:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Niels Thykier <niels@thykier.net>. (Sun, 15 Aug 2010 08:00:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: libsysactivity: FTBFS: tests failed
Date: Sun, 15 Aug 2010 09:55:25 +0200
Source: libsysactivity
Version: 0.5.4-2
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100815 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[4]: Entering directory `/build/user-libsysactivity_0.5.4-2-amd64-HiGnzN/libsysactivity-0.5.4/build'
> /usr/bin/cmake -E cmake_progress_report /build/user-libsysactivity_0.5.4-2-amd64-HiGnzN/libsysactivity-0.5.4/build/CMakeFiles 5
> [100%] Building C object test/CMakeFiles/process.dir/test_process.c.o
> cd /build/user-libsysactivity_0.5.4-2-amd64-HiGnzN/libsysactivity-0.5.4/build/test && /usr/bin/gcc   -g -O2 -O2 -g -I/build/user-libsysactivity_0.5.4-2-amd64-HiGnzN/libsysactivity-0.5.4/test/../src/Linux -I/build/user-libsysactivity_0.5.4-2-amd64-HiGnzN/libsysactivity-0.5.4/test/../src/common   -Wall -fvisibility=hidden -o CMakeFiles/process.dir/test_process.c.o   -c /build/user-libsysactivity_0.5.4-2-amd64-HiGnzN/libsysactivity-0.5.4/test/test_process.c
> /build/user-libsysactivity_0.5.4-2-amd64-HiGnzN/libsysactivity-0.5.4/test/test_process.c: In function 'test_process_info':
> /build/user-libsysactivity_0.5.4-2-amd64-HiGnzN/libsysactivity-0.5.4/test/test_process.c:119: warning: too few arguments for format
> Linking C executable process
> cd /build/user-libsysactivity_0.5.4-2-amd64-HiGnzN/libsysactivity-0.5.4/build/test && /usr/bin/cmake -E cmake_link_script CMakeFiles/process.dir/link.txt --verbose=1
> /usr/bin/gcc  -g -O2 -O2 -g  -Wl,--no-undefined -Wl,--as-needed CMakeFiles/process.dir/test_process.c.o  -o process -rdynamic ../src/Linux/libsysactivity.so.0.5.4 -lpthread 
> make[4]: Leaving directory `/build/user-libsysactivity_0.5.4-2-amd64-HiGnzN/libsysactivity-0.5.4/build'
> /usr/bin/cmake -E cmake_progress_report /build/user-libsysactivity_0.5.4-2-amd64-HiGnzN/libsysactivity-0.5.4/build/CMakeFiles  5
> [100%] Built target process
> make[3]: Leaving directory `/build/user-libsysactivity_0.5.4-2-amd64-HiGnzN/libsysactivity-0.5.4/build'
> /usr/bin/cmake -E cmake_progress_start /build/user-libsysactivity_0.5.4-2-amd64-HiGnzN/libsysactivity-0.5.4/build/CMakeFiles 0
> make[2]: Leaving directory `/build/user-libsysactivity_0.5.4-2-amd64-HiGnzN/libsysactivity-0.5.4/build'
> cd build && LD_LIBRARY_PATH="/build/user-libsysactivity_0.5.4-2-amd64-HiGnzN/libsysactivity-0.5.4/build/src/Linux" ctest --force-new-ctest-process -E "^data_storage\$"
> ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
> Test project /build/user-libsysactivity_0.5.4-2-amd64-HiGnzN/libsysactivity-0.5.4/build
>     Start 1: cpu
> 1/4 Test #1: cpu ..............................   Passed    8.10 sec
>     Start 2: memory
> 2/4 Test #2: memory ...........................***Failed    0.00 sec
>     Start 3: network
> 3/4 Test #3: network ..........................   Passed    6.50 sec
>     Start 4: process
> Errors while running CTest
> 4/4 Test #4: process ..........................   Passed    6.56 sec
> 
> 75% tests passed, 1 tests failed out of 4
> 
> Total Test time (real) =  21.17 sec
> 
> The following tests FAILED:
> 	  2 - memory (Failed)
> make[1]: *** [override_dh_auto_test] Error 8

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/08/15/libsysactivity_0.5.4-2_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#593018; Package src:libsysactivity. (Sun, 15 Aug 2010 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. (Sun, 15 Aug 2010 10:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 593018@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 593018@bugs.debian.org
Subject: Re: Bug#593018: libsysactivity: FTBFS: tests failed
Date: Sun, 15 Aug 2010 12:31:51 +0200
[Message part 1 (text/plain, inline)]
On 2010-08-15 09:55, Lucas Nussbaum wrote:
> Source: libsysactivity
> Version: 0.5.4-2
> Severity: serious
> Tags: squeeze sid
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20100815 qa-ftbfs
> Justification: FTBFS on amd64
> 
> Hi,
> 
> During a rebuild of all packages in sid, your package failed to build on
> amd64.
> 
> Relevant part:
[...]
> 
> The full build log is available from:
>    http://people.debian.org/~lucas/logs/2010/08/15/libsysactivity_0.5.4-2_lsid64.buildlog
> 
> A list of current common problems and possible solutions is available at 
> http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!
> 
> About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
> of the Grid'5000 platform, using a clean chroot.  Internet was not
> accessible from the build systems.
> 

Hi

It appears I did not enable output from tests and I cannot reproduce it
my own chroot. Can you please apply this patch and rebuild so I can see
the error it gives?

~Niels

[verbosity.patch (application/x-wine-extension-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Niels Thykier <niels@thykier.net>:
Bug#593018; Package src:libsysactivity. (Sun, 15 Aug 2010 12:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Niels Thykier <niels@thykier.net>. (Sun, 15 Aug 2010 12:33:08 GMT) Full text and rfc822 format available.

Message #15 received at 593018@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Niels Thykier <niels@thykier.net>
Cc: 593018@bugs.debian.org
Subject: Re: Bug#593018: libsysactivity: FTBFS: tests failed
Date: Sun, 15 Aug 2010 14:17:31 +0200
On 15/08/10 at 12:31 +0200, Niels Thykier wrote:
> On 2010-08-15 09:55, Lucas Nussbaum wrote:
> > Source: libsysactivity
> > Version: 0.5.4-2
> > Severity: serious
> > Tags: squeeze sid
> > User: debian-qa@lists.debian.org
> > Usertags: qa-ftbfs-20100815 qa-ftbfs
> > Justification: FTBFS on amd64
> > 
> > Hi,
> > 
> > During a rebuild of all packages in sid, your package failed to build on
> > amd64.
> > 
> > Relevant part:
> [...]
> > 
> > The full build log is available from:
> >    http://people.debian.org/~lucas/logs/2010/08/15/libsysactivity_0.5.4-2_lsid64.buildlog
> > 
> > A list of current common problems and possible solutions is available at 
> > http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!
> > 
> > About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
> > of the Grid'5000 platform, using a clean chroot.  Internet was not
> > accessible from the build systems.
> > 
> 
> Hi
> 
> It appears I did not enable output from tests and I cannot reproduce it
> my own chroot. Can you please apply this patch and rebuild so I can see
> the error it gives?

Start 2: memory

2: Test command: /tmp/libsysactivity-0.5.4/build/test/memory
2: Test timeout computed to be: 9.99988e+06
2: swap name: /dev/sda1, type: partition, total: 0, free: 0
2: 
2: number of swaps: 2
2: swap number 0
2: swap name: /dev/sda5, type: partition, total: 0, free: 0
2: 
2: swap number 1
2: swap name: , type: file, total: 0, free: 0
2: 
2: 
2: ERROR: The length of the swap name is zero
2/4 Test #2: memory ...........................***Failed    0.00 sec

# cat /proc/swaps 
Filename				Type		Size	Used	Priority
/dev/sda1                               partition	3911788	0	-1
/dev/sda5                               partition	296929352	0	-2

# cat /proc/meminfo 
MemTotal:     16475436 kB
MemFree:      15050644 kB
Buffers:         58376 kB
Cached:         981448 kB
SwapCached:          0 kB
Active:         224404 kB
Inactive:       823564 kB
SwapTotal:    300841140 kB
SwapFree:     300841140 kB
Dirty:               0 kB
Writeback:           0 kB
AnonPages:        8160 kB
Mapped:          10292 kB
Slab:            85900 kB
SReclaimable:    52388 kB
SUnreclaim:      33512 kB
PageTables:       1356 kB
NFS_Unstable:        0 kB
Bounce:              0 kB
WritebackTmp:        0 kB
CommitLimit:  309078856 kB
Committed_AS:   424632 kB
VmallocTotal: 34359738367 kB
VmallocUsed:    220924 kB
VmallocChunk: 34359517423 kB
HugePages_Total:     0
HugePages_Free:      0
HugePages_Rsvd:      0
HugePages_Surp:      0
Hugepagesize:     2048 kB

# uname -a
Linux griffon-91.nancy.grid5000.fr 2.6.26-2-amd64 #1 SMP Tue Mar 9 22:29:32 UTC 2010 x86_64 GNU/Linux
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Niels Thykier <niels@thykier.net>:
Bug#593018; Package src:libsysactivity. (Mon, 16 Aug 2010 14:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Olmedo Escobar <carlos.olmedo.e@gmail.com>:
Extra info received and forwarded to list. Copy sent to Niels Thykier <niels@thykier.net>. (Mon, 16 Aug 2010 14:51:05 GMT) Full text and rfc822 format available.

Message #20 received at 593018@bugs.debian.org (full text, mbox):

From: Carlos Olmedo Escobar <carlos.olmedo.e@gmail.com>
To: Niels Thykier <niels@thykier.net>, 593018@bugs.debian.org
Subject: Re: Bug#593018: libsysactivity: FTBFS: tests failed
Date: Mon, 16 Aug 2010 16:48:47 +0200
[Message part 1 (text/plain, inline)]
The library was copying the swap structures badly. Attached is a patch
file that fixes the issue.

Thanks.
[linux_memory-0.5.4.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Mon, 16 Aug 2010 16:48:04 GMT) Full text and rfc822 format available.

Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Tue, 17 Aug 2010 22:21:10 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 17 Aug 2010 22:21:10 GMT) Full text and rfc822 format available.

Message #27 received at 593018-close@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 593018-close@bugs.debian.org
Subject: Bug#593018: fixed in libsysactivity 0.5.4-3
Date: Tue, 17 Aug 2010 22:17:33 +0000
Source: libsysactivity
Source-Version: 0.5.4-3

We believe that the bug you reported is fixed in the latest version of
libsysactivity, which is due to be installed in the Debian FTP archive:

libsysactivity-dev_0.5.4-3_i386.deb
  to main/libs/libsysactivity/libsysactivity-dev_0.5.4-3_i386.deb
libsysactivity-doc_0.5.4-3_all.deb
  to main/libs/libsysactivity/libsysactivity-doc_0.5.4-3_all.deb
libsysactivity0-dbg_0.5.4-3_i386.deb
  to main/libs/libsysactivity/libsysactivity0-dbg_0.5.4-3_i386.deb
libsysactivity0_0.5.4-3_i386.deb
  to main/libs/libsysactivity/libsysactivity0_0.5.4-3_i386.deb
libsysactivity_0.5.4-3.debian.tar.gz
  to main/libs/libsysactivity/libsysactivity_0.5.4-3.debian.tar.gz
libsysactivity_0.5.4-3.dsc
  to main/libs/libsysactivity/libsysactivity_0.5.4-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 593018@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niels Thykier <niels@thykier.net> (supplier of updated libsysactivity package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 Aug 2010 00:08:38 +0200
Source: libsysactivity
Binary: libsysactivity0 libsysactivity-dev libsysactivity0-dbg libsysactivity-doc
Architecture: source i386 all
Version: 0.5.4-3
Distribution: unstable
Urgency: low
Maintainer: Niels Thykier <niels@thykier.net>
Changed-By: Niels Thykier <niels@thykier.net>
Description: 
 libsysactivity-dev - Retrieves statistics of the system's activity (development header
 libsysactivity-doc - Retrieves statistics of the system's activity (development doc)
 libsysactivity0 - Retrieves statistics of the system's activity
 libsysactivity0-dbg - Retrieves statistics of the system's activity (debug package)
Closes: 593018
Changes: 
 libsysactivity (0.5.4-3) unstable; urgency=low
 .
   * Enable verbose test output.
   * Applied patch from upstream to fix an issue with reading the
     swap data. (Closes: #593018)
   * Skip the process test on Linux if the kernel is too old; fixes
     FTBFS in Ubuntu.
Checksums-Sha1: 
 0fdcb9a8dd96bb35087319052e7ef45d2fdfc060 1424 libsysactivity_0.5.4-3.dsc
 9bfd9ed482efeffff1fc5bd056e50614280f4fd7 5809 libsysactivity_0.5.4-3.debian.tar.gz
 1ad3c3ed0636551d20d297470aa69a52ecd31bef 13356 libsysactivity0_0.5.4-3_i386.deb
 7dbbd3edd5060dcf6a861840cb49774ee45e6812 10448 libsysactivity-dev_0.5.4-3_i386.deb
 dc0f76af20bb61121b998bb13133df16adbfa7f1 20520 libsysactivity0-dbg_0.5.4-3_i386.deb
 e7a74e90919dd33b9043a50c0cc7fd4e123bdeb4 58120 libsysactivity-doc_0.5.4-3_all.deb
Checksums-Sha256: 
 e10d6c84fa5e8f9bfaefb3ad834607b018f8112202ed8c97f940194a603299a4 1424 libsysactivity_0.5.4-3.dsc
 7f0dc7fd1f5e92c3918eab9d38f291764461ab3f4031d1a95e3a8fe45aea4e53 5809 libsysactivity_0.5.4-3.debian.tar.gz
 28728679bf9ad5d0e15f2022f138dacca7cd9e5f7da995fa40455929e930c5e4 13356 libsysactivity0_0.5.4-3_i386.deb
 bd2c79613f70bcd287b051b8d05afb7369065bf4c784f668c14301394121e9f1 10448 libsysactivity-dev_0.5.4-3_i386.deb
 0a7656d18835781e77ed63883aedc68ce1d004084c59a7f6ed8b5e8d03556274 20520 libsysactivity0-dbg_0.5.4-3_i386.deb
 6c1f6a34ac6214d9e4c1b72d6c1c668f6be30a6eb522eb904f948eb637683131 58120 libsysactivity-doc_0.5.4-3_all.deb
Files: 
 c95e3cd31e0037693deeff9609fd058c 1424 libs optional libsysactivity_0.5.4-3.dsc
 b9fa58247c5a31d3bb4ebc20d4b35e68 5809 libs optional libsysactivity_0.5.4-3.debian.tar.gz
 99263e305a59afc2ce651c8cc6124526 13356 libs optional libsysactivity0_0.5.4-3_i386.deb
 56ec80cf3b55f3d21d3cbb479d07a235 10448 libdevel optional libsysactivity-dev_0.5.4-3_i386.deb
 a49e3d9e561a03dd05964fa484d3b8e8 20520 debug extra libsysactivity0-dbg_0.5.4-3_i386.deb
 b17f8d6cfd0d3d449e3bb022388c122a 58120 doc optional libsysactivity-doc_0.5.4-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxrCM8ACgkQVCqoiq1Ylqw9wgCfVZfSAEdyqNNCp5n2z1ZKx5cF
VvUAoLwBMqobExT6b6uzvQQ/eykNmGtz
=vh4X
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Wed, 18 Aug 2010 04:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Niels Thykier <niels@thykier.net>:
Bug#593018; Package src:libsysactivity. (Thu, 19 Aug 2010 14:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Niels Thykier <niels@thykier.net>. (Thu, 19 Aug 2010 14:42:05 GMT) Full text and rfc822 format available.

Message #34 received at 593018@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Niels Thykier <niels@thykier.net>
Cc: 593018@bugs.debian.org
Subject: Re: limit source to libsysactivity, tagging 593018
Date: Thu, 19 Aug 2010 16:39:27 +0200
reopen 593018
found 593018 0.5.4-3
thanks

On  0, Niels Thykier <niels@thykier.net> wrote:
> #libsysactivity (0.5.4-3) unstable; urgency=low
> #
> #  * Applied patch from upstream to fix an issue with reading the
> #    swap data. (Closes: #593018)
> #
> 

This patch didn't fix the problem. It failed to build on
kfreebsd-amd64 this time.

Regards,

-- 
Mehdi Dogguy




Bug No longer marked as fixed in versions libsysactivity/0.5.4-3 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Aug 2010 14:42:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions libsysactivity/0.5.4-3. Request was from Mehdi Dogguy <mehdi@dogguy.org> to control@bugs.debian.org. (Thu, 19 Aug 2010 14:42:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#593018; Package src:libsysactivity. (Fri, 20 Aug 2010 09:24:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. (Fri, 20 Aug 2010 09:24:44 GMT) Full text and rfc822 format available.

Message #43 received at 593018@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 593018@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: libsysactivity process test is failing
Date: Fri, 20 Aug 2010 10:55:57 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi

To help upstream debug the kfreebsd-amd64 failure[1], would it possible
to get the following extra information from the machine?

On 2010-08-19 19:13, Carlos Olmedo Escobar wrote:
> I guess what is the problem but just to try to reproduce it, can i
> have the output of the following commands?
> 
> sysctl hw.pagesize
> sysctl vm.stats.vm.v_free_count
> vmstat
> 
> Thanks a lot.
> 

~Niels

[1]
https://buildd.debian.org/fetch.cgi?pkg=libsysactivity&arch=kfreebsd-amd64&ver=0.5.4-3&stamp=1282086607&file=log&as=raw

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEAREIAAYFAkxuQxsACgkQVCqoiq1YlqwuNgCg2q9MrtiG3aXY2chvWUUOwgIs
j0kAnj7N5XdA9ciDK/qst0CxCiC+Y7DZ
=HEPL
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Niels Thykier <niels@thykier.net>:
Bug#593018; Package src:libsysactivity. (Fri, 20 Aug 2010 11:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Niels Thykier <niels@thykier.net>. (Fri, 20 Aug 2010 11:09:03 GMT) Full text and rfc822 format available.

Message #48 received at 593018@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Niels Thykier <niels@thykier.net>
Cc: 593018@bugs.debian.org
Subject: Re: libsysactivity process test is failing
Date: Fri, 20 Aug 2010 13:05:19 +0200
[Message part 1 (text/plain, inline)]
Hi Niels,

Niels Thykier <niels@thykier.net> (20/08/2010):
> To help upstream debug the kfreebsd-amd64 failure[1], would it
> possible to get the following extra information from the machine?

sure:
| kibi@fasch:~$ sysctl hw.pagesize
| hw.pagesize: 4096
| kibi@fasch:~$ sysctl vm.stats.vm.v_free_count
| vm.stats.vm.v_free_count: 971034
| kibi@fasch:~$ vmstat
| procs -----------memory---------- ---swap-- -----io---- -system-- ----cpu----
|  r  b   swpd   free   buff  cache   si   so    bi    bo   in   cs us sy id wa
|  5  1  74024 5569772      0  30812    0    0     0     0    0    0  9  7 84  0

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Sat, 21 Aug 2010 11:51:09 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 21 Aug 2010 11:51:09 GMT) Full text and rfc822 format available.

Message #53 received at 593018-close@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 593018-close@bugs.debian.org
Subject: Bug#593018: fixed in libsysactivity 0.5.4-4
Date: Sat, 21 Aug 2010 11:47:08 +0000
Source: libsysactivity
Source-Version: 0.5.4-4

We believe that the bug you reported is fixed in the latest version of
libsysactivity, which is due to be installed in the Debian FTP archive:

libsysactivity-dev_0.5.4-4_i386.deb
  to main/libs/libsysactivity/libsysactivity-dev_0.5.4-4_i386.deb
libsysactivity-doc_0.5.4-4_all.deb
  to main/libs/libsysactivity/libsysactivity-doc_0.5.4-4_all.deb
libsysactivity0-dbg_0.5.4-4_i386.deb
  to main/libs/libsysactivity/libsysactivity0-dbg_0.5.4-4_i386.deb
libsysactivity0_0.5.4-4_i386.deb
  to main/libs/libsysactivity/libsysactivity0_0.5.4-4_i386.deb
libsysactivity_0.5.4-4.debian.tar.gz
  to main/libs/libsysactivity/libsysactivity_0.5.4-4.debian.tar.gz
libsysactivity_0.5.4-4.dsc
  to main/libs/libsysactivity/libsysactivity_0.5.4-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 593018@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niels Thykier <niels@thykier.net> (supplier of updated libsysactivity package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 21 Aug 2010 13:35:13 +0200
Source: libsysactivity
Binary: libsysactivity0 libsysactivity-dev libsysactivity0-dbg libsysactivity-doc
Architecture: source i386 all
Version: 0.5.4-4
Distribution: unstable
Urgency: low
Maintainer: Niels Thykier <niels@thykier.net>
Changed-By: Niels Thykier <niels@thykier.net>
Description: 
 libsysactivity-dev - Retrieves statistics of the system's activity (development header
 libsysactivity-doc - Retrieves statistics of the system's activity (development doc)
 libsysactivity0 - Retrieves statistics of the system's activity
 libsysactivity0-dbg - Retrieves statistics of the system's activity (debug package)
Closes: 593018
Changes: 
 libsysactivity (0.5.4-4) unstable; urgency=low
 .
   * Applied patch from upstream to fix an issue with calculating memory
     on (k)FreeBSD based architectures (Closes: #593018).
Checksums-Sha1: 
 d8b74cd821d8c14acaf2085d3218494e937f8f08 1424 libsysactivity_0.5.4-4.dsc
 33a90312e416c48b03a60b8ca07c4b2946c08503 6033 libsysactivity_0.5.4-4.debian.tar.gz
 a3b5cef6fe5aa5f60caf48bc89f21d3754809b92 13420 libsysactivity0_0.5.4-4_i386.deb
 afb7f476e3a4cd5dedc8f22365075407b803ff64 10524 libsysactivity-dev_0.5.4-4_i386.deb
 86a237da3dc3262a20220430fc8218aa5e2baedf 20590 libsysactivity0-dbg_0.5.4-4_i386.deb
 a3bb2a2bde9edff0e1768ef2e066149f8a17c86b 58206 libsysactivity-doc_0.5.4-4_all.deb
Checksums-Sha256: 
 33b058aa3d0f22e516d7f788b6b9f3357212a673988c59c8ff64e43c6d170091 1424 libsysactivity_0.5.4-4.dsc
 86e8b9f2b874e99e9db9fc692f0ce66106a43caa662baf4b9d1bd1f980674e7e 6033 libsysactivity_0.5.4-4.debian.tar.gz
 5c40c5b6479443f7365038bc23119706ddb795b81f59b96803763ff1462bb609 13420 libsysactivity0_0.5.4-4_i386.deb
 033b5686e4f877afff2997ab2b604954be388ca36829c72ba6fe180431762d00 10524 libsysactivity-dev_0.5.4-4_i386.deb
 33cbb5de9518dbf51b04b60d4636e3c4bb6dad8b5c7a880703ab152cafa21e83 20590 libsysactivity0-dbg_0.5.4-4_i386.deb
 220659697abe78d55ded9b583aeae3ec2d8c8b933817568aadb866b1df010cd3 58206 libsysactivity-doc_0.5.4-4_all.deb
Files: 
 b05f41b52b2940263744d19bc92c201c 1424 libs optional libsysactivity_0.5.4-4.dsc
 e95f0282034ba21628282f995086d52a 6033 libs optional libsysactivity_0.5.4-4.debian.tar.gz
 3f27a4aa38a5c7771eaea8ccd255771d 13420 libs optional libsysactivity0_0.5.4-4_i386.deb
 0d7681ddb292cf588cc93c5d6dfa6b4c 10524 libdevel optional libsysactivity-dev_0.5.4-4_i386.deb
 dbdbbeff3c12de5b2f79389a41c9c8f7 20590 debug extra libsysactivity0-dbg_0.5.4-4_i386.deb
 a69b58bcaf928091d46f6777704b1d79 58206 doc optional libsysactivity-doc_0.5.4-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxvuz4ACgkQVCqoiq1YlqwjigCgkcgyI7o1NC+SAqZqQibUeq37
YQkAn2JFLDwUhwMzsy0NisFFWlfDmXpm
=CgWB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 06 Nov 2010 07:30:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:36:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.